1.2.2
  - gap: added sndio output plugin
  - gap: added crossfader
  - ui: Updated FOX to 1.7.74
  - ui: Updated German translation thanks to Martin Wagner
  - ui: New Korean translation by JungHee Lee 
  - ui: make it easier to adjust cover size in the miniplayer for hdpi screens

1.2.1
  - Update to latest appstream spec.
  - Fix play/pause issue #83

1.2.0
  - Support for non-16bit alac files.
  - Support for aacPlus streams.
  - A copy of FOX is now included to make it easier to distribute gogglesmm
  - Preserve clipboard (copy/paste) when closing track editor.
  - Updated spanish translation
  - Fix buffer overflow in audioscrobbler (issue 77).
  - Fix prevent consecutive spaces when renaming audio files.

1.1.9
  - Fix aac fatal decoder error
  - Fix llvm build with latest sqlite library
  - Fix unused openssl 1.1 api calls
  - Fix various newly gcc7 warnings

1.1.8
  - Fix: resize (if needed) icons from external icon themes on start up
  - Fix: set default sort column for podcasts to date.
  - Fix: typo in ifdef

1.1.7
  - Sort albums by album-artists when displaying covers
  - Add commandline option to refresh podcast feeds
  - Add the ability to build with static FOX library
  - Fix covercache loading with FOX-1.7.57
  - Regenerate covercache if supported file format has changed in FOX library.
  - gap: refactor input plugins using new iocontext
  - gap: remove unimplemented smb plugin

1.1.6
  - https support with OpenSSL or GnuTLS.
  - http(s) gzip support.
  - Local Source: only list playback supported formats
  - New import option to exclude any files that cannot be played back.
  - Moved exclude import filters to its own tab.
  - cmake: added more options to enable/disable plugins during compilation
  - gap: refactor decoder and reader plugins
  - Fix: refresh path lut if needed.
  - Fix: reset scroll position when loading new lyrics
  - Fix: show audio device options when using mousewheel or keys to change driver
  - Fix: tiptext for album list items in case when information is missing
  - Fix: incorrect access check in socket.
  - Fix: volume icon in miniplayer didn't get updated on icon theme change
  - Fix: init directory in open dialog for Play File or Stream

1.1.5
  - Fix lyrics column not being created on first run.
  - Fix import writing lyrics to the wrong column.

1.1.4
  - Lyrics support
  - Matroska playback (only) support
  - Refactor Vorbis / Opus / AAC decoders to support matroska
  - Optimizations to Ogg based decoders should use less memory
  - Refactor text converter and renamer
  - Refactor socket io for improved win32 support
  - FOX 1.7.57 compatibility
  - fix: minor changes to api for text compose/decompose which broke filename formatter.
  - fix: Renaming filename preview dialog now correctly converts non-Ascii/UTF-8 back to UTF-8.
  - fix: Don't substitute & for && when displaying track in title bar

1.1.3
  - Fix deadlock in get_decoder_packet and replace pop_if/wait with wait_for
  - Fix missing config option for tremor.

1.1.2
  - Fix missing option No Resample in alsa output plugin

1.1.1
  - Fix detection of newer kde desktop sessions.
  - Replace gogglesmm native dbus interface with mpris v2.
  - Implement missing functionality in mpris v2.
  - gap: fix file input to handle file:// uri scheme
  - rss: check for updated cover art image
  - http: force mimetype to be lower case.
  - http: reset dir on IO after reading last header in chunked response.
  - Remove remaining lirc functionality.
  - Remove (broken) AppStatus notification implementation.
  - Remove unused settings.

1.1.0
  - flac: use new reader to parse flac files.
  - gap: use more portable signal and semaphore primitives in engine.
  - gap: refactor input_plugin.
  - gap: add proper interface class to OutputThread.
  - gap: simplify includes.
  - gap: fix build issue with mp4/m4a support.
  - remove old 'configure' based buildsystem.
  - lirc: remove unused/unsupported lirc support
  - c++11: NULL -> nullptr.
  - replace glew with epoxy.
  - fix crash editing radio station. (issue 56)

1.0.18
  - ALAC codec support.
  - add hashbang to installed python scripts
  - fix vorbis comment parsing
  - fix opus filetype detection during import.
  - remove debug statements during release builds.
  - cmake: fix reverse check for DESTDIR
  - cmake: build mp4 reader when faad is enabled

1.0.17
  - cmake: fix libgcrypt detection and link to internal md5 if no gcrypt is available

1.0.16
  - cmake: fix gogglesmm not using BUILD_GAP_SHARED_LIB variable

1.0.15
  - fix: remove FXURL::decode when using FXURL::fileFromURL since the latter already does the decode
  - cmake: drop version requirement to 3.3.1
  - cmake: add status output
  - cmake: allow CMAKE_INSTALL_LIBDIR to be relative or absolute path.
  - cmake: fix shared library build of libgap.
  - cmake: disable lto build for now.

1.0.14
  - Fix filters not properly escaping single quotes.
  - Add cmake 3.4 build system. 'configure' is now deprecated and will be removed in a future release.
  - Remove various unimplemented and/or unsupported plugins.
  - Various c++11 improvements

1.0.13
  - Sync now remove files from the database that match exclude filter.
  - Removed 'Remove Folder' functionality from Sync Folder. Now available as separate functionality under Music Library.
  - Support for new taglib 1.11 xiph cover art api.
  - Refresh filters after import or sync.
  - Update icon cache on make install

1.0.12
  - Fix infinite loop in directory filter during sync.

1.0.11
  - Fix incorrect parameter passing to sqlite (braking scanner in certain cases)
  - Fix sync incorrectly updating/removing files.

1.0.10
  - During import symlinks to directories are now followed.
  - Removed default field input from import options. This is now automatically substituted with Unknown Artist, Unknown Album
    and the name of the filename in case of a missing title.
  - New import option for detection of compilation albums for files without albumartist or compilation tags.
  - New import option to disable grouping albums by audio format. Useful in case taglib fails to read the audioproperties correctly.
  - Exclude filters are now also used by all Sync operations (previously only used during import)
  - Add year field option to filename parser.
  - Add path to filters.
  - Fix menus not resizing when font was changed.
  - Fix infinite loop updating podcasts when auto-update was turned off and a manual refresh was actived.

1.0.9
  - Fix reading title from flac/ogg/opus files that contain id3 tags and an empty xiph comment.

1.0.8
  - wav: a-law / μ-law decoding
  - pulse: signed 32-bit format support
  - wav_out: large file and float support
  - mp4: fix track length for large files.
  - Fix position tracking for large files.
  - Fix crash when opengl fails to initialize.
  - Fix scrobbler flags not fitting in datatype.
  - Fix incorrect bitshifting in flac reader.
  - Use fxstrlcpy instead of strncpy in font handling.
  - Use cpp11 member initializers.
  - Podcasts: update url in database for permanent redirects
  - Fix xspf playlists: don't double encode urls and add workaround to read back faulty urls.

1.0.7
  - Add support for ratings and tags to filters.
  - Change default color scheme to Clearlooks.
  - Read duration from downloaded podcasts if feed didn't contain this information
  - Close connection for http 1.0 connections if keep-alive is not specified.
  - Fix repeating same track when stop after track has been used.
  - Disable shuffle/repeat menu items when play queue is active.
  - Do not auto-select current playing artist/album when using search (issue #20).

1.0.6
  - Implement vbri seeking
  - Fix loading replaygain settings on startup
  - Pathnames may not be valid utf-8 so prevent dbus library from crashing by only passing valid utf8 encoded pathnames
  - mp4: fix potential buffer overflow when reading decoder specific configuration
  - mp4/aac: implement gapless playback (mostly tested with FAAC encoded files)
  - id3v2: fix parsing comment string

1.0.5
  - Fix gapless playback for mp3 audio. (Applies decoder delay and fix reading encoder settings)
  - Support iTunes specific gapless playback tags for mp3 audio (iTuneSMPB).
  - Fix toolbar to be on top of statusbar when docked on the bottom.
  - Fix rating display after editing track.
  - Show available parameters for Window Title Format.

1.0.4
  - Improvements to the taglib interface
  - Fix build issue when forcing faad
  - Fix compilation with sqlite < 3.8.3
  - Fix missing space in sql statement
  - Support audio/aac mimetype used on certain streams

1.0.3
  - opus: implement multichannel playback support and correctly apply output gain.

1.0.2
  - Fix: don't crash when loading invalid or empty covers from taglib

1.0.1
  - Fix: mpris v2 dbus properties interface

1.0.0
  - Added support for filters. Similar to automatic/smart playlists found in other music players
  - During import albums now get automatically grouped by samplerate/channels/samplesize.
  - Added file type and format information to tracklist, combining all audio properties. Lossless files should now be better distinguished
    from lossy files. Also removes the now redundant bit rate column.
  - Removed "merge albums" option from album list. The artist name is now automatically added
    when multiple albums with same name are displayed.
  - Increase italic font size used in the album list a bit.
  - Increase fallback cover image to 128x128 pixels.
  - Added audio format indicator to album list.
  - Switch to c++11
  - Fix: scale down icons if needed if only larger ones are available.
  - Fix: force redraw of cover list when switching from list view
  - Fix: force update covers if size has been changed
  - Fix: prevent crash when cover image fails to load

0.14.2
  - Fix: support older ogg vorbis files whose file headers may exceed the gap buffer size.
  - Fix: mp4 playback.
  - Fix: allow sort keywords to be unset
  - Fix: playback position for mpris and implemented Seeked signal for mpris v2.
  - alsa: Remove mixer setting and store missing flags in settings
  - aiff playback support.

0.14.1
  - FOX-1.7.50 compatibility fixes. Also previous versions are no longer supported.
  - Fix building without dbus
  - Fix crash when updating podcasts with empty guids.

0.14.0
  - Added playqueue mode.
  - Support multichannel playback.
  - Configurable cover display size in album list.
  - Improvements to the podcast manager:
    o Support for rss feeds not encoded in UTF-8 or UTF-16.
    o Configurable update interval for podcasts.
    o Automatically download podcasts when feeds get updated.
    o Download status icons in podcastmanager show which podcasts are local, queued or failed.
    o Added cover support to podcastmanager.
    o Add DND support to podcastmanager.
    o Add played status to podcastmanager and add option to mark podcasts as new or played.
  - Improved memory consumption for cover cache.
  - Added appdata file to distribution
  - Removed libxml2 support. Only expat is supported now.
  - Added version info to output plugins to allow checking version during runtime.
  - Compiler warning cleanups.
  - Fix: if pulse stream becomes unready write() should return false
  - Fix: use correct line separator for x-special/gnome-copied-files
  - Fix: don't parse empty timestamp strings in rss feeds

0.13.3
  - Fix various bsd porting issues.
  - Fix crash on playlist export.

0.13.2
  - Fix overflow/truncation of timer calculation on 32 bit systems.
  - Fix potential null pointer dereference.
  - Fix incorrect syncs in mp3.
  - FOX-1.7.48 compatibility fixes.

0.13.1
  - Add sample accurate seeking to most formats (flac,vorbis,opus,mp4).
  - Add menu option to schedule stop after track finishes.
  - Add import option to override default text encoding for id3v1 tags.
  - Add meta data parsing to mp4 reader
  - Add indexes in the database for all foreign keys.
  - Use meta from audioplayer if available rather than using taglib.
  - Fix UI issue to correctly indicate when the last track has finished playing.
  - Fix cross search capability that was present in 0.12.x but didn't make it to 0.13.0
  - Fix importing podcast whose mimetype are set to application/xml
  - Fix drain behaviour in alsa output.
  - Fix incorrect date parsing in the RSS parser.
  - Fix tag saving to correctly handle multiple tag types.
  - Fix UI track display by escaping special characters.
  - Fix homepage and report issue buttons in about dialog.
  - Add bitrate check to mp3 reader to avoid incorrect syncs.
  - Disable minimize to tray on systems that don't support a tray icon (gnome 3)
  - General cleanups to remove some unused code.

0.13.0
  - New playback engine
  - Podcast Manager
  - Long running operations (import/sync) are now performed in the background.
  - Album list view with album covers in a grid.
  - File browser view.
  - MPRIS v2 Interface.
  - Fullscreen Presentation mode.
  - New minimalist UI.
  - Music Library Improvements:
      o Support composer and conductor tags.
      o Support tagging tracks instead of genre.
      o Ratings Support.

  - Support the XDG spec (http://standards.freedesktop.org/basedir-spec/basedir-spec-0.6.html).
      o Config files have moved to $XDG_CONFIG_HOME/gogglesmm.
      o The database has been moved to $XDG_DATA_HOME/gogglesmm.
      o Temporary files are saved to $XDG_CACHE_HOME/gogglesmm.

0.12.7
  - Support WAV files.
  - Minor optimizatons
  - Add disc number support in filename parser
  - Support NetworkManager 0.9 notifications.
  - Fixes to audioscrobbler.

0.12.6
  - Fix xine 1.2 detection in configure.

0.12.5
  - Fix memory leak.
  - Fix libre.fm support.
  - New authentication method for last.fm.
  - Improved compatibility/detection for m3u/pls urls when playing Internet Radio.
  - Removed libcurl dependency.

0.12.4
  - Added Portuguese Translation by Sérgio Marques
  - Improved notification daemon compatibility
  - Support for latest FOX 1.7.29.
  - Added genre and location to mpris information.

0.12.3
  - Do not pass unsupported GL_LINEAR_MIPMAP_LINEAR to GL_TEXTURE_MAG_FILTER.
  - Enable support for non-power-of-two textures now that Mesa 7.11-rc4 fixes the issue.
  - Fix incorrect usage of FXAutoPtr.
  - Fix parallel build.

0.12.2
  - Gnome 3 compatibility updates
  - Fix infinite last.fm warnings when the system time is out of sync with the last.fm server time.
  - Merge title that were split into multiple entries in vorbiscomments.

0.12.1
  - fix crash when right-clicking tray icon (issue 230)
  - timer fix in audioscrobbler for fox-1.7

0.12.0
  - Updated Look and Feel.
  - Updated Czech Translation.
  - Allow relative paths when exporting playlists.
  - Support for taglib 1.7
  - Remove support for old miniplayer
  - Fix audioscrobbler on FOX 1.7

0.11.6
  - Updated Spanish Translation
  - Improved opengl compatibility in cover display.

0.11.5
  - Fix ignored icon theme (issue 222)
  - Initial svg icon support through use of rsvg-convert (part of librsvg) utility.

0.11.4
  - Link explicitly to X11, GL and GLU (issue 212).
  - Improved icon theme specification support. Now also load from ~/.icons, $XDG_DATA_DIRS/icons and /usr/share/pixmaps.
  - Properly initialize libgcrypt to avoid warnings.
  - Added button to get out of miniplayer mode and make the miniplayer behave the same as the regular browser window. (issue 196).
  - New additional shortcut to toggle between miniplayer mode and browser mode (Ctrl-M).
  - Miniplayer is resizeable and remember its size and position. It will no longer automatically resize itself.
  - Fix crash when importing with specific icon themes selected. (issue 218)
  - Add big-endian support to flac album art loading. (issue 218)

0.11.3
  - Icon name in desktop file shouldn't have file extension
  - Fix disabled mp4 support.
  - Translation Updates

0.11.2
  - Support for .oga files.
  - Allow scrobbling to last.fm or libre.fm.
  - Fix some threading issues in the audio scrobbler.

0.11.1
  - Updated Hungarian Translation
  - Fixed MANDIR and LOCALEDIR not being defined by configure, resulting in locale data
    and manpages to be installed in root.

0.11.0
  - Drop support for taglib 0.5.x, taglib-extras and internal asf/mp4 support.
  - Remove internal icon theme and depend only on external ones.
  - Depend optionally on gcrypt for md5 calculation.
  - Partial MPRIS v1 interface.

0.10.27
  - configure cleanups
  - Use proper uri (file://<path> instead of file:<path>) (issue 203).
  - Added man page.

0.10.26
  - Backport new font dialog.
  - Use posix sh instead of bash for configure script.

0.10.25
  - Fix build issue with older taglib releases (1.5.x).
  - Updated Czech translation.

0.10.24
  - Support mp4 and ogg vorbis embedded album art.
  - New opengl based cover viewer which allows for smooth scaling of the album cover.
    If opengl is not available or slow, the old x11 cover viewer can be used instead, which now has an option to choose the displayed cover size.
  - Import Playlists (xspf, m3u and pls) (issue 123)
  - Export playlist title for xspf playlists.
  - Changed Open MRL -> Play File or Stream and improved the dialog to make it easier choosing a local file from disk.
  - Add conditional support to filename format. Window title may now also be customized.
  - Show import options when dragging or copy/pasting files.
  - Added Tooltip to trayicon showing the current playing track information.
  - Open directory of track with right click (issue 146)
  - Fix active track in playlist when reordering (issue 194).

0.10.23
  - Unify package, application and executable name.
  - Don't grab keys we're not going to use (issue 189).

0.10.22
  - Added Czech translation by David Vachulka.

0.10.21
  - Fix build script issue.

0.10.20
  - Tray icon background color may now be customized to improve look of the tray icon.
  - Don't try to install mo files we don't have when LINGUAS environment variable is set (issue 165)
  - Replace libfetch with libcurl.
  - Load album art from tag in the album browser as well. (issue 176)
  - Fix main library listing genres from the Radio Streams.

0.10.19
  - Support media keys through the Gnome Settings Daemon.
  - Don't show import dialog when radio streams are in the database. (issue 154)
  - Use ewmh icon hint to specify application icon which should result in a nicer looking icon in the taskbar.
  - Fix various dbus event handling to prevent crashes (issue 159)

0.10.18
  - Make some functions static that don't need global scope.
  - Be more flexible about the http return code (issue 147).
  - Fix crash when pressing delete on "All Arists/Genres/Albums"

0.10.17
  - Russian Translation.

0.10.16
  - Hungarian Translation.
  - Compilation fix for older taglib in combination with mp4.

0.10.15
  - Add additional signal handler(s) to correctly save state on exit.
  - Fix focus getting stuck in Edit Track dialog.
  - Year field in edit track dialog should be empty if multiple tracks with different years are selected.
  - Support bmp and gif embedded album art.
  - Fix memory leak in embedded album art loader.

0.10.14
  - Support for .m4b files.
  - Minor fixes.

0.10.13
  - Take disc number into account when sorting.

0.10.12
  - Updated German Translation

0.10.11
  - Prevent crash when settting input focus on widgets when a FOX version with xim support is being used.
  - Fix timeout type mixup with FOX-1.6 vs FOX-1.7

0.10.10
  - Fix crash when removing tracks from the library via a playlist.

0.10.9
  - Fix segfault in certain cases when no track information is yet available.
  - Removed support for libdownload.
  - Fixed segfault when using libfetch.
  - Improved error checking when downloading m3u and pls files.

0.10.8
  - New command line option (--tray) to start gmm minimized in tray.
  - Album Artist tag support for MP4 files.
  - Fix shortcut to toggle playback (issue 121)
  - Use buildin mp4/asf support from taglib 1.6 if available.
  - Rely on default genre list from taglib.
  - Build fixes.

0.10.7
  - Fix compilation --without-new-remote (issue 113)
  - Fix duplicate hotkeys in preferences dialog (issue 112)

0.10.6
  - Fix time/duration display to account for hours.
  - Fix critical bug when sending album art to notification daemon.
  - Support for fox-1.7.20.
  - Optionally use taglib-extras for MP4 and ASF support.
  - Allow other scrobbler compatible servers to be used.
  - Added French translation.

0.10.5
  - Override all compiler flags if CFLAGS has been set.

0.10.4
  - Minor translation fixes
  - Fix duplicate hotkey in new radio station dialog.
  - Fix exporting playlist.

0.10.3
  - Translation fixes and updates.
  - Warn user when a incompatible (future) version of the database is encountered.
  - Fix compilation with taglib-1.4.

0.10.2
  - Added Spanish translation.
  - Fix translations not working with FOX 1.7 (issue 100)

0.10.1
  - Fix tray icon issues.
  - Added German translation.
  - Properly encode special characters in audio scrobbler now playing submitter.
  - Fix sorting of album list by year in playlists.
  - Do not grab "AnyKey" by checking return value of XKeysymToKeycode.

0.10.0
  - Database Improvements:

      o Improved performance when modifying the database (importing & removing tracks)
      o Added fields for per track artist (issue 72)

  - Import Improvements:

      o Added "Sync Folder" capability, which can also update or remove tracks in the database if needed.
      o Added import exclusion filter for file and folders. (issue 84)
      o Redesigned import dialog. It now contains the import options that were previously in the preferences dialog.
      o Added a filename template input to grab track information from a filename. This replaces
        the less flexible "title from filename","album from directory" and "artist from directory".
      o Added option to choose where to read the track information from: filename, tag or both.
      o Replaced "Default Title", "Default Album", "Default Artist" and "Default Genre" with a single "Default Field"
        since most of time you would likely use the same text anyway.

      o Removed the Import File(s) option. I don't think it's needed that much, and it reduces the number of choices a user has to make.
        Importing single files can still be accomplished through drag-and-drop.

      o Remove wizard. Just show import dialog first time.

  - Other Improvements:

      o Added Localization Capability. (issue 3)
      o Added disc column to track view.
      o Allow multiple genre selection in browser.
      o Double click in artist and album list will start playing.
      o Added button to enable or disable last.fm scrobbler.
      o Equalizer with configurable presets.
      o Take into account the disc number when sorting albums.
      o Send cover art through dbus to notify daemon directly instead of saving it to disk.
      o allow to write tags when editing even if tracks have not been modified.
      o more flexible input to select which fields need to be searched (issue 51).
      o allow quoted strings in search field.
      o Support for Multimedia Keys.
      o Optionally display playing track in title bar.
      o The album list may now also be sorted by album year.

  - Audio Improvements:

      o The audio driver can now be changed. (issue 87)
      o Replay Gain (Only Ogg Vorbis, native FLAC and mp3 with APE tags).

  - Filename Renamer

      o The excluded character set may now be changed for the filename renamer.
      o Added year and disc parameters.

  - Tray Icon Improvements:

      o tray icon is now integrated within gmm. gmm-tray has been removed.
      o tray icon show/hide miniplayer as well.
      o volume may be controlled using the mousewheel.
      o middle mouse click will toggle between playing and pausing.

  - Fixes:

      o crash when sorting in Internet Radio view.
      o remember "Update Filename" setting in edit dialogs.
      o actually try alternative urls in PLS or m3u before failing completely.
      o correctly display playing track in playlists.
      o do not run event loop in dbus message callback.

0.9.18
  - Fix: Add support for fox-1.7.18.
  - Fix: more url handling fixes.
  - Misc: code cleanups.

0.9.17
  - Fix: fix crash showing dialogbox when audio device open fails on startup.

0.9.16
  - Fix: Track-less songs should not be 0 (#62)
  - Fix: disable default key press processing in tracklist.
  - Fix: Update GUI when done playing.
  - Fix: incorrect tracklist state when using search filter.
  - Fix: workaround for older notification daemons that don't show '&'.
  - Fix: improved url handling.
  - New: add additional shortcut '/' for search filter.
  - New: When pressing the search hotkeys, existing search text will be selected.
  - New: New shortcuts for Repeat Off, Track and All. Added shortcut for Shuffle as well.
  - New: Made repeat radio buttons instead of checkbuttons.
  - New: Play file from the commandline.

0.9.15
  - Fix: Prevent crash by checking if session and system bus are available.
  - Fix: don't show tray icon option if gmm-tray is not in $PATH.
  - Fix: compile issue when building with old remote.

0.9.14
  - New: Threaded scrobbler submitter which should prevent locking the GUI during DNS lookups.
  - New: Tray Icon. (contributed by Olivier Duclos).
  - New: More complete dbus interface (required by the tray icon)
  - New: NetworkManager support to wakeup scrobbler if network connection becomes available.
  - New: Font and colors may now be updated from within GMM and require no application restart.
  - Misc: The filename template settings has been moved from the preferences panel to the tag editing dialogs.
  - Misc: Support for mugshot was removed.
  - Misc: Nicer application and tray icon by Olivier Duclos.
  - Fix: Incorrect track number was used when renaming files

  - Misc: build/installation improvements:

    xdg-icon-resource/xdg-desktop-menu are not used anymore.

    * All icons are installed in (prefix)/share/icons/hicolor/*
    * gmm.desktop is installed in (prefix)/share/applications
    * `make install` will run gtk-update-icon-cache (prefix)/share/icons/hicolor

    Support DESTDIR variable when running make instal:

       make DESTDIR=/some/package install

     This will install gmm in /some/package/(prefix)/bin/gmm

0.9.13
  - Fix: Crash in miniplayer.

0.9.12
  - Fix: Cover wasn't shown when switching to mini player.
  - Fix: Update highlighted track if tracks are dragged around.

0.9.11
  - New: Support embedded cover art in flac files (jpg and png only).
  - New: Support last-fm 'now playing' notification.
  - New: Support album art in notification to notify-daemon.
  - New: DBus enabled version now also support the ability to control a running gmm from the command line.
  - New: Use "ALBUMARTIST" tag in Ogg / FLAC files and TPE2 for id3v2 tags for artist.

0.9.10
  - New: Experimental support for libfetch on FreeBSD (untested).
  - New: Embedded cover art (id3v2 tags) now also supported in remote.
  - New: Make covers in remote slightly larger.
  - Fix: Compilation issue on FreeBSD.
  - Fix: Scrobbler only submitted one track at a time.
  - Fix: Scrobbler connection timeout was too large.

0.9.9
  - Fix: Track play count and display were not always properly updated (in combination with gapless playback),
         This  affected last-fm submission as well...
  - Fix: Crash in Edit Track dialog if mp4 file doesn't exist.
  - Fix: Current item in tracklist need to be updated when stop is pressed to be able to continue playing from the last played track.
  - Fix: Restore maximized/fullscreen state on start up.
  - Fix: Using the mouse wheel in the remote now also changes the volume.
  - Fix: Remote now also has a window icon.
  - New: Ctrl-Q now also works in the remote.
  - New: Experimental support for embedded cover art support in mp3 / flac with ID3v2 tags.

0.9.8
  - Fix: files with '#' couldn't be opened anymore due to change in xine-1.1.9.
  - Fix: Improved Album Art search. Now looks for jpg,gif,png and bmp files in
         the directory of the music file.  Gives higher priority to files found with the
         following names: cover,album, albumart,.folder,folder.
  - New: Added some webbrowser links to last-fm sign-up and Goggles Music Manager user group.

0.9.7
  - Fix: Really fix Compilation issue on 32 bit systems.

0.9.6
  - Fix: Compilation issue on 32 bit systems.

0.9.5
  - Fix: fix url encoding to handle more unsafe characters

0.9.4
  - New: Last-FM audio scrobbler support.
  - Fix: include <sys/wait.h> instead of <wait.h>

0.9.3
  - Fix: Fix configure columns dialog for FOX-1.7. Draw function wasn't properly overloaded.
  - Fix: Support new FXFontDesc api in FOX-1.7.17

0.9.2
  - New: Configure Columns dialog can now also show/hide columns. (backport)
  - New: Turn on audio playback engine on startup is now a option.
  - New: Added Volume Control to Mini Player.
  - New: Show year column in track list.
  - New: Disc Number Support.
  - New: Improved Edit Track Dialog.
  - New: Ctrl-W now also closes the window (either quits the application, or toggles the remote).
  - Fix: Reflect column order in right click menu.
  - Fix: Use new dbus-1.2 api if available. Also show DBus version if available in about panel.
  - Fix: Remove Compiler Warnings (gcc 4.3).
  - Fix: Improved check if files are local or not which affects updating the GUI.

0.9.1
  - Fix: Compilation issue with older xine.
  - Fix: Compilation issue with debug build.
  - Fix: Check for proper SQLite version during runtime.
  - Fix: Prevent the application from disappearing when using the old remote.
  - Fix: Added extra hint for new remote to show window title for certain window managers.
  - Fix: Some fixes to configure.

0.9.0
  - New: Search Filter.
  - New: Change order of columns in track list.
  - New: Alternative Mini Player (old one still available through configure option).
  - New: Context menu for track list header.
  - New: Selection state in browser for each source.
  - New: Try raising existing music manager when starting without commandline arguments.
  - New: Support for Internet Radio Streams.
  - New: Support for ASF files.
  - New: Support for MP4 through TagLib. Removed old libmp4v2 support.
  - New: now uses the c++ taglib library instead of the c-bindings.
  - New: use bold italic font for playing track in tracklist.
  - New: Shuffle mode: play tracks in random order.
  - New: Repeat A-B mode: repeat section of a track.
  - New: Editing improvements.
  - New: When clearing the database, playlist entries may be optionally kept.
  - New: When removing tracks from database may be optionally deleted from disk as well.
  - New: Keyboard shortcuts for editing and deleting tracks.
  - New: Show audio/file properties in track edit dialog.
  - Fix: better path caching when inserting tracks (should increase speed).
  - Fix: Do not allocate icons before they're actually used (about and remote dialogs).
  - Fix: fix memory leak in browse sort.
  - Fix: Support modified fox-config on Gentoo.
  - Fix: Use [[ in build scripts instead of [.
  - Fix: Paste from gtk applications failed if it contained line feeds.
  - Fix: Only enable next/previous if more than 1 track is available.
  - Misc: Changed Full Screen shortcut to F12. Ctrl-F is now used for the search filter.
  - Misc: Build system is now more like autoconf/automake.
  - Misc: Disable default title/album/artist if options above are selected.

0.8.5 (svn)
  - Fix: Paste from gtk applications failed if it contained line feeds.

0.8.4
  - Fix: Support modified fox-config on Gentoo which prevented GMM from building.
  - Fix: Close all fd on fork in order to keep playing while opening the webbrowser.

0.8.3
  - Fix: Buffer overflow in track list sorting.

0.8.2
  - New: genre, artist and album may now also be horizontally resized.
  - Fix: Typo in edit artist dialog.
  - Fix: define MPEG4IP_VERSION in case it's not defined.
  - Fix: chase api changes in FOX 1.7.12.
  - Fix: Removed some warnings.
  - Fix: Removed some dirty coding.

0.8.1
  - New: Each source now remembers scroll position of the tracklist.
  - New: Added option to close audio device when paused.
  - Fix: Bug in filename renaming feature was fixed.
  - Fix: Don't show filename renaming confirmation dialog if not required.
  - Fix: Improved shuffle. Also added keyboard shortcut Ctrl-R.
  - Fix: Compilation bug with FOX-1.7.11.
  - Fix: Disable volume button when xine is not opened.
  - Fix: Workaround for older SQLite versions regarding index creation.

0.8.0
  - New: Support creating custom playlists.
  - New: Don't show duplicate albums names when multiple artists are selected.
  - New: Added "All" entry to artist and album lists.
  - New: Export database and playlists to XSPF, PLS, Extended M3U, M3U and CSV.
  - New: Clipboard and drag-and-drop support for moving tracks to playlists and importing and exporting files.
  - New: Configurable toolbar docked on top or bottom, showing big or small icons with optional text.
  - New: Customizable Icon Theme. Either use buildin icons, or load from disk.
  - New: Animated icon in scan progress dialog.
  - New: Support year tag.
  - New: Support volume normalization plugin.
  - New: Database now also stores for each track: year, rating, import date, play date and play count.
  - New: Option to close audio device when playback is stopped.
  - New: Upgraded to more advanced build system.
  - New: Include Desktop Application Entry and Icon in distribution
  - New: New About Dialog.
  - New: Report An Issue link in Help Menu.
  - New: Changed License to GPL-3.
  - New: Warning dialog when FOX without PNG support is used.
  - New: Fullscreen mode (requires FOX-1.7.11).

  - Fix: Ctrl-A selection now works in all lists.
  - Fix: Do not import MP4 files that contain video.
  - Fix: Track titles are also now sorted using the leading keyword filter.
  - Fix: Editing Dialogs retain proper sorting order of genres,artists and albums.
  - Fix: Allow up to 4 digits in track number input in edit dialogs.
  - Fix: issue preventing filenames with '#' characters from playing.
  - Fix: compilation fix for older xine libraries.
  - Fix: status line now shows correct song in repeat mode.
  - Fix: sleeptimer now works properly in FOX 1.6.
  - Fix: Write xine configuration file on exit.
  - Fix: Don't recurse into directories that are symbolic links.

0.7.6 (svn)
  - Fix: resolved issue preventing filenames with '#' characters from playing.
  - Fix: sleep timer with FOX 1.6 didn't work.

0.7.5
  - Fix: Possible crash in empty track list due uninitialized variables.

0.7.4
  - New: Added Sleep Timer. Stops playback after specified amount of time.
  - New: Implement command line options to control an already running music manager.
  - Fix: Reset Display after end playlist.
  - Fix: Remember import files directory as well.
  - Fix: Even more error handling in xine.

0.7.3
  - Better playback error handling.
  - Only use path title (filename without extension) for track title in case of files without tags.
  - Track list now has multiple selection capability for easier tag editing.
  - Assign track numbers automatically based on the selection order in the track list.
  - Added Sorting Arrows on Genre,Artist and Album lists.
  - Added Genre Column in tracklist.
  - Better alignment for track numbers and times.
  - Playing track has now different background color.
  - Improved sorting.

0.7.2
  - File naming options were not taking into account.

0.7.1
  - Now supports renaming audio files during tag editing.
  - Add Statistics Information Dialog.
  - Speed up multiple selection in artist list.
  - Cleanup dead and unused code.
  - Minor Fixes.

0.7.0
  - gapless playback support.
  - mp4 support is now optional.
  - Tag Editing Support.
  - Repeat Track Support.
  - Speed improvements in SQL database.
  - Minimize jumping of slider control when seeking.
  - Background color for every other row.
  - Import of single files now also possible.
  - Columns in tracklist are also now configurable in browse mode.
  - Fix Crash when clearing database and reimporting in List Mode.
  - Set default value for saving tag changes to file to false.
  - Manage own taglib string memory because taglib is leaking.
  - Also search for .m4p files.

0.6.2
  - Ability to show directory contents in filemanager of selected song.
  - Added "repeat all" option which determines whether to restart playing from the beginning of the play list or not
  - FOX 1.7.x support.
  - Fixed Relative Path display in scan/search dialog.
  - Fixed Typos in welcome dialog.
  - Statusbar by default off now.
  - MP4 Tag Support [Read Only]

0.6.1
  - New Progress Dialog during file scanning, which also includes the ability to cancel the scanning at any time.
  - Added support for flac and musepack.
  - Now depend on taglib for reading and writing tags.
  - Ability to hide status bar.
  - Support playing file from the command line arguments
  - Only allow one gmm to be started and send play request to already running gmm.

0.6.0
  - Added some more icons.
  - Added userfriendly dialog at startup when database is empty.
  - Use more advanced sorting routine that can interpret numbers in strings.
  - Allow genre,artist and album list to be sorted in reverse.
  - Fixed bug with setting current category on startup.
  - Removed unused font which caused a crash.
  - Tracklist was not properly sorted at startup
  - FOX 1.5 -> FOX 1.6

0.5.3
  - Ability to remove certain artist from the database.
  - FOX 1.4 -> FOX 1.5

0.5.2
  - Add Multiple Selection in Artist and Album List.
  - Keep better track of last played track.
  - Columns in songlist can be configured by the user.

0.5.1
  - More error checking in database handling.
  - Removed fastforward/fastbackward.
  - Fixed bug that prevented sorting on time in normal list mode when clicking header.
  - Columns in song list now remember their size.
  - Songlist remembers its sorting column and order.
  - Smart Sorting for lists. Skips common words like "the","a","an". This is a configurable option...
  - Change remote mouse click functionality: one click skips to next song, double click opens manager.
  - Remote Volume control changes volume immediately on first wheel mouse move.
  - Check for old database on startup and remove it if users wants it. We aks only once.
  - Remembers which displaymode it is in.
  - Added random "sort" mode.

0.5.0
  - New Database backend. We're now using SQLite. Database file has changed from goggles.database to goggles.db.
  - While playing, if the volume is turned down to zero, playback will automatically pause.
  - Add Category/Genre List to GUI.
  - Fixed bug that prevented using Goggles Music Manager if FOX version was updated.
  - Xine is really slow at reading in tags. I put the old ogg vorbis tag reading back. MP3 is still done by Xine.
  - Added remote control window.
  - Added preferences panel.

0.2.6
  - FOX 1.4 support.

0.2.5
  - Added MP3 file support.
  - Removed editing capability of tag names for now. Hopefully we can add this back soon.
  - We now use xine to retrieve all tags from ogg and mp3 files. It might be slower than before. We might change that in the future again.

0.2.4
  - You can now either import  files into a existing database or create a new database.
  - While importing files, we now skip files that are already in the database.
  - Now has four GUI modes: Full, Compact, Slim and List.

0.2.3
  - Initial Release.
